//
//  UTransStatus+Extensions.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 12/16/20.
//  Copyright © 2020 mSignia. All rights reserved.
//

import Foundation
import uSDK

extension UTransStatus {
    var humanReadableValue: String {
        switch self {
        case .accept:
            return "Y"
        case .deny:
            return "N"
        case .notPerformed:
            return "U"
        case .attempted:
            return "A"
        case .challenge:
            return "C"
        case .rejected:
            return "R"
        case .informationOnly:
            return "I"
        case .decoupledAuthentication:
            return "D"
        default:
            return "N/A"
        }
    }
}
