//
//  SupportedVersionsRequest.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 3/29/21.
//  Copyright © 2021 mSignia. All rights reserved.
//

import Foundation

class SupportedVersionsRequest: Codable {
    
    // MARK: - Properties
    var cardID: String
    var sdkProtocolVersions: [String]
    
    // MARK: - Inits
    init(cardID: String, sdkProtocolVersions: [String] = ["2.1.0", "2.2.0", "2.3.0"]) {
        self.cardID = cardID
        self.sdkProtocolVersions = sdkProtocolVersions
    }
}
