//
//  AReq.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 3/29/21.
//  Copyright © 2021 mSignia. All rights reserved.
//

import Foundation

class AReq: Codable {
    
    // MARK: - Properties
    var purchaseInfo: PurchaseInformation
    var authenticationRequestParameters: AuthenticationRequestParameters
    
    // MARK: - Init
    init(purchaseInfo: PurchaseInformation, authenticationRequestParameters: AuthenticationRequestParameters) {
        self.purchaseInfo = purchaseInfo
        self.authenticationRequestParameters = authenticationRequestParameters
    }
}
