//
//  SADirectoryServer.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 3/29/21.
//  Copyright © 2021 mSignia. All rights reserved.
//

import Foundation

class SADirectoryServer: Codable {
    
    // MARK: - Properties
    var directoryServerID: String
    var threeDSMethodURL: String
    var threeDSServerTransID: String
    var messageVersion: String
    
    // MARK: - Init
    init(directoryServerID: String, threeDSMethodURL: String, threeDSServerTransID: String, messageVersion: String) {
        self.directoryServerID = directoryServerID
        self.threeDSMethodURL = threeDSMethodURL
        self.threeDSServerTransID = threeDSServerTransID
        self.messageVersion = messageVersion
    }
}
