//
//  SupportedVersionsResponse.swift
//  ThreeDS-Sample
//
//  Created by Drew Pitchford on 3/29/21.
//  Copyright © 2021 mSignia. All rights reserved.
//

import Foundation
import AnyCodable

class SupportedVersionsResponse: Codable {
    
    // MARK: - Properites
    var directoryServers: [SADirectoryServer]
    var extraAuthParams: AnyCodable?
    
    // MARK: - Init
    init(directoryServers: [SADirectoryServer], extraAuthParams: AnyCodable?) {
        self.directoryServers = directoryServers
        self.extraAuthParams = extraAuthParams
    }
}
